/* Christoph Pickl - Java Student User Group - jsug.fsinf.at
   Licensed under the Creative Commons Attribution-Share Alike 2.0. */
package jsug.cairngorm {

import com.adobe.cairngorm.commands.ICommand;
import com.adobe.cairngorm.control.CairngormEvent;

import mx.controls.Alert;

public class FoobarCommand implements ICommand {
	
	public function FoobarCommand() {
	}

	public function execute(_event: CairngormEvent): void {
		trace("FoobarCommand.execute()");
		// const event: FoobarEvent = _event as FoobarEvent;

		const p: Person = ModelLocator.instance.person;
		const message: String = "My name is " + p.lastName + "! " + p.firstName + " " + p.lastName + ". ";
		const title: String = "Greetings";
		
		Alert.show(message, title);
	}

}
}